<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetNextControl Method (IEdmCard5)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmCard5 Interface : GetNextControl Method (IEdmCard5)

Visual Basic
C#
C++/CLI

poPos
  IEdmPos5; position of the next control in the list

Gets the next control in the enumeration.

# Syntax

Visual Basic |
--- | ---

    Function GetNextControl( _
       ByVal poPos As IEdmPos5 _
    ) As IEdmCardControl5

C# |
--- | ---

    IEdmCardControl5 GetNextControl(
       IEdmPos5 poPos
    )

C++/CLI |
--- | ---

    IEdmCardControl5^ GetNextControl(
    &   IEdmPos5^ poPos
    )

#### Parameters

poPos
  IEdmPos5; position of the next control in the list

#### Return Value

IEdmCardControl5

# Example

Get Card Control Information (VB.NET)
Get Card Control Information (C#)

# Remarks

Before calling this method the first time, you must populate poPos with the interface to the position of the first control, IEdmPos5. Call IEdmCard5::GetFirstControlPosition to obtain IEdmPos5.

After calling this method the first time, poPos is automatically incremented every time it is called. Call this method repeatedly to obtain the rest of the controls.

Be sure to call IEdmPos5::IsNull before you call this method to ensure you have not reached the end of the enumeration.

Return codes:

- S_OK: The method successfully executed.
- E_EDM_END_OF_LIST: There are no more controls to get; IEdmPos5::IsNull is true.

# See Also

####

IEdmCard5 Interface
IEdmCard5 Members
IEdmCard5::GetFirstControlPosition Method ()

# Availability

SOLIDWORKS PDM Professional Version 5.2